- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::NodeApp_Configurator Class Reference

This class defines and implements the default NodeApp_Configurator base class that's needed for configuring the NodeApplication process. More...

`#include <NodeApp_Configurator.h>`

Inheritance diagram for CIAO::NodeApp_Configurator:

[legend]
List of all members.

## Public Member Functions
virtual | ~NodeApp_Configurator (void)
| Default destructor.
virtual int | pre_orb_initialize (void)=0
| "pre_orb_initialize" is called before ORB_init.
virtual int | post_orb_initialize (CORBA::ORB_ptr o)=0
| "post_orb_initialize" is called after NodeApplication get a hold at this object.
virtual int | init_resource_manager (const ::Deployment::Properties &properties)=0
| "init_resource_manager" is called by NodeApplication when it receives an "install" commands.
virtual CORBA::PolicyList * | find_container_policies (const ::Deployment::Properties &properties)=0
| get a policyset by its name.

## Detailed Description

This class defines and implements the default NodeApp_Configurator base class that's needed for configuring the NodeApplication process.

## Constructor & Destructor Documentation

virtual CIAO::NodeApp_Configurator::~NodeApp_Configurator | ( | void |  | ) | `[inline, virtual]`

Default destructor.

## Member Function Documentation

virtual CORBA::PolicyList* CIAO::NodeApp_Configurator::find_container_policies | ( | const ::Deployment::Properties & | properties | ) | `[pure virtual]`

get a policyset by its name.

Implemented in CIAO::NoOp_Configurator, and CIAO::RTNodeApp_Configurator.

virtual int CIAO::NodeApp_Configurator::init_resource_manager | ( | const ::Deployment::Properties & | properties | ) | `[pure virtual]`

"init_resource_manager" is called by NodeApplication when it receives an "install" commands.

Implemented in CIAO::NoOp_Configurator, and CIAO::RTNodeApp_Configurator.

virtual int CIAO::NodeApp_Configurator::post_orb_initialize | ( | CORBA::ORB_ptr | o | ) | `[pure virtual]`

"post_orb_initialize" is called after NodeApplication get a hold at this object.

Implemented in CIAO::NoOp_Configurator, and CIAO::RTNodeApp_Configurator.

virtual int CIAO::NodeApp_Configurator::pre_orb_initialize | ( | void |  | ) | `[pure virtual]`

"pre_orb_initialize" is called before ORB_init.

Implemented in CIAO::NoOp_Configurator, and CIAO::RTNodeApp_Configurator.

The documentation for this class was generated from the following file:

- NodeApp_Configurator.h